PHPExcel_Cell_DataType

category | PHPExcel
package | PHPExcel_Cell
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Check a value that it is a valid error code

    checkErrorCode(mixed $pValue) : string

Static

### Parameters

#### $pValue

`mixed`

Value to sanitize to an Excel error code

### Returns

`string`Sanitized value

## Check a string that it satisfies Excel requirements

    checkString(mixed $pValue) : mixed

Static

### Parameters

#### $pValue

`mixed`

Value to sanitize to an Excel string

### Returns

`mixed`Sanitized value

## DataType for value

    dataTypeForValue(mixed $pValue) : string

Static

deprecated | Replaced by PHPExcel_Cell_IValueBinder infrastructure, will be removed in version 1.8.0

### Parameters

#### $pValue

`mixed`

### Returns

`string`

## Get list of error codes

    getErrorCodes() : array

Static

### Returns

`array`

### Properties

##

    $_errorCodes : array

### Constants

## TYPE_BOOL

    TYPE_BOOL

## TYPE_ERROR

    TYPE_ERROR

## TYPE_FORMULA

    TYPE_FORMULA

## TYPE_INLINE

    TYPE_INLINE

## TYPE_NULL

    TYPE_NULL

## TYPE_NUMERIC

    TYPE_NUMERIC

## TYPE_STRING

    TYPE_STRING

## TYPE_STRING2

    TYPE_STRING2